--- title: "Change usage limits" slug: "analytics-cloudsearch-putquota" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-putquota" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Change usage limits **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** You can set usage limits for the following: - document_upload: uploaded document size(byte) - reindex: reindexing (section, when adding index) document size(byte) - autocomplete_reindex: number of autocompleted documents - search_response: Search query network usage(byte) ``` PUT https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/quota/{type} ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | | Domain name | | type | Yes | string | Limit usage | search_response, document_upload, reindex, autocomplete_reindex | ### Request Body | Field | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | interval | Yes | string | 1month, 1day | Usage Initialization Cycle 1Month (reset: every day, 0:00:00) 1Day (reset: 00:00) | | quota | Yes | number | If set to 0, the usage limit is cleared. | Limited usage | ## Response ### Response status | HTTP Status | Desc | | --- | --- | | 200 | OK(Completed setup) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` PUT /CloudSearch/beta/v1/domain/my_service/quota/search_response HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: +Ln++MqcKHckKli2y/bB76xLUu8qR9rLvo6j2yIYuYg= x-ncp-apigw-timestamp: 1551453306138 { "interval": "1Month", "quota": 10000000000 } ``` ### Request Example ``` {"result":"ok"} ```